<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProductionWhiteStripRequisitionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProductionWhiteStripRequisition">
        <id column="id" property="id" />
        <result column="production_record_date" property="productionRecordDate" />
        <result column="production_plan_date" property="productionPlanDate" />
        <result column="production_type" property="productionType" />
        <result column="variety" property="variety" />
        <result column="grade" property="grade" />
        <result column="white_strip_number" property="whiteStripNumber" />
        <result column="animal_identification" property="animalIdentification" />
        <result column="quality_inspection_result" property="qualityInspectionResult" />
        <result column="requisitionable_white_strip_number" property="requisitionableWhiteStripNumber" />
        <result column="requisitionable_variety" property="requisitionableVariety" />
        <result column="requisitionable_grade" property="requisitionableGrade" />
        <result column="requisitionable_production_type" property="requisitionableProductionType" />
        <result column="requisitionable_processing_type" property="requisitionableProcessingType" />
        <result column="requisitionable_weight" property="requisitionableWeight" />
        <result column="requisitionable_material_code" property="requisitionableMaterialCode" />
        <result column="requisitionable_material_name" property="requisitionableMaterialName" />
        <result column="requisitionable_start_date" property="requisitionableStartDate" />
        <result column="requisitionable_animal_mark" property="requisitionableAnimalMark" />
        <result column="requisition_result_white_strip_number" property="requisitionResultWhiteStripNumber" />
        <result column="requisition_result_variety" property="requisitionResultVariety" />
        <result column="requisition_result_grade" property="requisitionResultGrade" />
        <result column="requisition_result_production_type" property="requisitionResultProductionType" />
        <result column="requisition_result_processing_type" property="requisitionResultProcessingType" />
        <result column="requisition_result_weight" property="requisitionResultWeight" />
        <result column="requisition_result_material_code" property="requisitionResultMaterialCode" />
        <result column="requisition_result_material_name" property="requisitionResultMaterialName" />
        <result column="requisition_result_start_date" property="requisitionResultStartDate" />
        <result column="requisition_result_animal_mark" property="requisitionResultAnimalMark" />
        <result column="remark" property="remark" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
